package com.kospo.talk.payload;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
@Schema(name = "ITalkGroupDto", description = "그룹톡방")
public interface ITalkGroupDto {
    @Schema(name = "talkId", description = "톡방아이디")
    String getTalkId();
    @Schema(name = "workNm", description = "업무명")
    String getWorkNm();
    @Schema(name = "members", description = "톡 멤버들")
    String getMembers();
    @Schema(name = "insDate", description = "등록일자")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "Asia/Seoul")
    Date getInsDate();
}
